## libspring-ldap-java 1.3.0.RELEASE

=== debian/changelog ===
libspring-ldap-java (1.3.0.RELEASE-1) unstable; urgency=low

  * Initial release (Closes: #576622),

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 16 Apr 2010 20:36:56 -0430
