=== debian/control ===
Source: libspring-ldap-java
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Section: java
Priority: optional
Build-Depends: debhelper (>> 7.0.50), ant, ant-optional, default-jdk,
  javahelper, javacc, libspring-core-2.5-java, libspring-beans-2.5-java,
  libspring-context-2.5-java, libspring-jdbc-2.5-java, libspring-orm-2.5-java,
  libspring-tx-2.5-java, libcommons-lang-java, libcommons-logging-java,
  libcommons-pool-java, xmlto, fop
Standards-Version: 3.8.4
Homepage: http://www.springsource.org/ldap
Vcs-Git: git://git.debian.org/git/pkg-java/libspring-ldap-java.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/libspring-ldap-java.git

Package: libspring-ldap-java
Architecture: all
Depends: libspring-core-2.5-java, libspring-beans-2.5-java,
  libcommons-lang-java, libcommons-logging-java, ${misc:Depends}
Recommends: libspring-jdbc-2.5-java, libspring-tx-2.5-java
Suggests: libspring-context-2.5-java, libcommons-pool-java
Description: Java library for simpler LDAP programming
 Spring LDAP is built on the same principles as the JdbcTemplate in Spring
 JDBC. It completely eliminates the need to worry about creating and closing
 LdapContext and looping through NamingEnumeration. It also provides a
 more comprehensive unchecked Exception hierarchy, built on Spring's
 DataAccessException. As a bonus, it also contains classes for dynamically
 building LDAP filters and DNs (Distinguished Names), LDAP attribute
 management, and client-side LDAP transaction management.

Package: libspring-ldap-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libspring-ldap-java (= ${binary:Version})
Description: documentation for libspring-ldap-java
 Documentation for Spring LDAP, that is a Java library built on the same
 principles as the JdbcTemplate in Spring JDBC. It completely eliminates the
 need to worry about creating and closing LdapContext and looping through
 NamingEnumeration.
