=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with javahelper $@

override_dh_auto_clean:
	dh_auto_clean
	-ant -f debian/build.xml clean

override_dh_auto_build:
	dh_auto_build
	ant -f debian/build.xml
	export DOC_SRC=docs/docbkx DOC_GEN=docs/reference && \
		xmlto -o $${DOC_GEN}/html --skip-validation xhtml \
			$${DOC_SRC}/index.xml && \
		xmlto -o $${DOC_GEN}/pdf --with-fop --skip-validation pdf \
			$${DOC_SRC}/index.xml && \
		mv $${DOC_GEN}/pdf/index.pdf $${DOC_GEN}/pdf/spring-ldap-reference.pdf
	ant -f debian/build.xml reference

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--no-symlink \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download
