=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://s3browse.springsource.com/browse/dist.springframework.org/release/LDAP/ \
http://dist.springframework.org/release/LDAP/spring-ldap-([\w\.]+)-with-dependencies\.zip debian debian/orig-tar.sh
