## libspring-ldap-java 1.3.1.RELEASE

=== debian/changelog ===
libspring-ldap-java (1.3.1.RELEASE-5+deb8u1) jessie-security; urgency=high

  * Team upload.
  * Fix CVE-2017-8028:
    Tobias Schneider discovered that Spring-LDAP would allow authentication
    with an arbitrary password when the username is correct, no additional
    attributes are bound and when using LDAP BindAuthenticator with
    DefaultTlsDirContextAuthenticationStrategy as the authentication strategy
    and setting userSearch. This occurs because some LDAP vendors require an
    explicit operation for the LDAP bind to take effect.

 -- Markus Koschany <apo@debian.org>  Sun, 19 Nov 2017 17:48:15 +0100

libspring-ldap-java (1.3.1.RELEASE-5) unstable; urgency=medium

  * Team upload.
  * Generate Java 5 compatible bytecode
  * Do not compress the sample files in the documentation package
  * debian/control:
    - Removed the unused build dependency on libservlet2.5-java
    - Standards-Version updated to 3.9.5 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 09 Sep 2014 10:41:19 +0200

libspring-ldap-java (1.3.1.RELEASE-4) unstable; urgency=low

  * Replace dependencies on Servlet 2.4 library with 2.5. (Closes: #658808).
  * Fix missing-build-dependency-for-dh-addon maven_repo_helper lintian warning.
  * Bump Standards-Version to 3.9.3. No changes were required.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 02 Mar 2012 23:15:39 -0430

libspring-ldap-java (1.3.1.RELEASE-3) unstable; urgency=low

  * Fixed issue with generated POM files not mapping to Spring 3.x 
    artifacts:
    - debian/maven.rules: map to 3.x Spring Artifacts.
    - debian/maven.ignoreRules: strip out test + other dependencies
      which are not required at runtime.   

 -- James Page <james.page@ubuntu.com>  Mon, 04 Jul 2011 13:56:16 +0100

libspring-ldap-java (1.3.1.RELEASE-2) unstable; urgency=low

  * Added maven artifact deployment (Closes: #632085):
    - debian/rules: added target to retrieve original pom files, use 
      --with maven-repo-helper
    - debian/poms/*: pom files for maven deployment
    - debian/libspring-ldap-java.poms: pom file deployment descriptor
    - debian/control: added maven-repo-helper

 -- James Page <james.page@ubuntu.com>  Wed, 29 Jun 2011 15:53:25 +0100

libspring-ldap-java (1.3.1.RELEASE-1) unstable; urgency=low

  * New upstream release.
  * Update copyright dates.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Wrap correctly Depends and Build-Depends lists.
  * Simplify javadoc generation using packagesets.
  * Link javadoc to system javadoc and add B-D on default-jdk-doc.
  * Add B-D on libservlet2.4-java since it is needed by fop.
  * Make copyright file DEP-5 compliant.
  * Call dh7 script with a correct ordering of arguments.
  * Replace https URL in watch file to avoid issues with SSL certificates.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 10 Apr 2011 17:58:25 -0430

libspring-ldap-java (1.3.0.RELEASE-2) experimental; urgency=low

  * Rebuild against Spring Framework 3.0 libraries.
  * Bump Standards-Version to 3.9.1. No changes were required.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 04 Oct 2010 19:21:42 -0430
