=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh --with javahelper $@
+	dh $@ --with javahelper --with maven-repo-helper
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -17,6 +17,9 @@
 		mv $${DOC_GEN}/pdf/index.pdf $${DOC_GEN}/pdf/spring-ldap-reference.pdf
 	ant -f debian/build.xml reference
 
+override_dh_compress-indep:
+	dh_compress -X.java -X.xml -X.pdf
+
 get-orig-source:
 	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
 	uscan \
@@ -25,3 +28,14 @@
 		--destdir $(CURDIR)      \
 		--watchfile debian/watch \
 		--force-download
+
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
+MAVEN_REPO := http://repo1.maven.org/maven2
+
+get-orig-pom:
+	for component in core-tiger core parent; \
+	do \
+		wget -U NoAgent-1.0 -O debian/poms/spring-ldap-$${component}.pom \
+			$(MAVEN_REPO)/org/springframework/ldap/spring-ldap-$${component}/$(DEB_UPSTREAM_VERSION)/spring-ldap-$${component}-$(DEB_UPSTREAM_VERSION).pom ;\
+	done
+
